Bug 196095 - [MAINTAINER] security/afl: Update to 1.05b
Summary: [MAINTAINER] security/afl: Update to 1.05b
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2014-12-18 14:49 UTC by Fabian Keil
Modified: 2014-12-28 14:09 UTC (History)
1 user (show)

See Also:


Attachments
Update security/afl to 0.91b (2.59 KB, patch)
2014-12-18 14:49 UTC, Fabian Keil
no flags Details | Diff
Update security/afl to 1.05b (23.46 KB, patch)
2014-12-28 11:48 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2014-12-18 14:49:54 UTC
Created attachment 150720 [details]
Update security/afl to 0.91b

The ChangeLog is available at:
http://lcamtuf.coredump.cx/afl/ChangeLog.txt
Comment 1 Thomas Zander freebsd_committer 2014-12-27 09:35:12 UTC
I get an install error during staging here:

=======================<phase: stage          >============================
===>  Staging for afl-0.91b
===>   afl-0.91b depends on executable: gnuplot - found
===>   Generating temporary packing list
[*] Checking for the ability to compile x86 code...
[+] Everything seems to be working, ready to compile.
[+] All done! Be sure to review README - it's pretty short and useful.
mkdir -p -m 755 ${DESTDIR}/usr/local/bin ${DESTDIR}/usr/local/lib/afl ${DESTDIR}/usr/local/share/doc/afl ${DESTDIR}/usr/local/share/afl
rm -f ${DESTDIR}/usr/local/bin/afl-plot.sh
install  -s -o root -g wheel -m 555 afl-gcc afl-fuzz afl-showmap afl-plot ${DESTDIR}/usr/local/bin
strip: /wrkdirs/usr/ports/security/afl/work/stage/usr/local/bin/afl-plot: File format not recognized
install: wait: No such file or directory
Makefile:80: recipe for target 'install' failed
gmake: *** [install] Error 70
*** [do-install] Error code 2

Stop in /usr/ports/security/afl.
Comment 2 Fabian Keil 2014-12-28 11:48:32 UTC
Created attachment 151031 [details]
Update security/afl to 1.05b

Sorry, my mistake. I apparently didn't retest with DEBUG=off.

The updated patch should fix this.
Comment 3 commit-hook freebsd_committer 2014-12-28 14:07:53 UTC
A commit references this bug:

Author: riggs
Date: Sun Dec 28 14:07:14 UTC 2014
New revision: 375724
URL: https://svnweb.freebsd.org/changeset/ports/375724

Log:
  - Update to version 1.05b
  - Add OPTIONs for MINIMIZE_CORPUS and PLOT_SUPPORT (latter via gnuplot)

  PR:		196095
  Submitted by:	fk@fabiankeil.de (maintainer)

Changes:
  head/security/afl/Makefile
  head/security/afl/distinfo
  head/security/afl/pkg-plist
Comment 4 Thomas Zander freebsd_committer 2014-12-28 14:09:33 UTC
Looks good, thanks for taking a look. Committed!